<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:epub="http://www.idpf.org/2007/ops" xml:lang="es" lang="es">
    <head>
        <meta charset="UTF-8" />
        <title>Syllabus</title>
        <link href="../css/styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <section epub:type="chapter" role="doc-chapter">
            <h1 id="syllabus"><i>Syllabus</i></h1>
            <h2 id="sesion-1-mas-alla-de-adobe">Sesión 1: Más allá de Adobe</h2>
            <p>Adobe ha mutado de una <i>suite</i> de diseño a una metodología única de producción editorial. Al parecer Adobe lo tiene todo, su uso es demandado por el sector editorial y su aprendizaje brota desde las universidades hasta seminarios y talleres profesionales. Pero tiene costos ocultos. El más grave es la reducción de una profesión y un método al aprendizaje basado en el consumo de <i>software</i>. ¿Qué pasará si un día Adobe tiene la misma fortuna que QuarkXPress o PageMaker?</p>
            <p>Esta primera sesión comenzará con una confrontación cara a cara con el formateo del texto creado en ecosistemas cerrados.</p>
            <h3 id="temas">Temas</h3>
            <ol>
                <li>
                    <p>Exportación a <span class="smallcap">HTML</span> desde InDesign.</p>
                </li>
                <li>
                    <p>Análisis de estructuras textuales y hojas de estilo.</p>
                </li>
                <li>
                    <p>Demostración de la necesidad de limpieza del formato.</p>
                </li>
                <li>
                    <p>Introducción a RegEx como vía para la limpieza del formato.</p>
                </li>
                <li>
                    <p>Instalación de <i>software</i> necesario para el taller.</p>
                </li>
            </ol>
            <h2 id="sesion-2-bienvenido-a-la-edicion-desde-cero">Sesión 2: Bienvenido a la edición «desde cero»</h2>
            <p>En la periferia del ecosistema de Adobe nos encontramos con una pluralidad de programas y métodos. No siempre son compatibles entre sí. En la mayoría de los casos esta diversidad deviene en frustración.</p>
            <p>En esta sesión se iniciará el traslado del aprendizaje basado en programas a uno fundado en métodos, empezando por la manera adecuada de limpiar el formato de un texto.</p>
            <h3 id="temas_2">Temas</h3>
            <ol>
                <li>
                    <p>Aprendizaje de los elementos más comunes de RegEx para la limpieza de un texto.</p>
                </li>
                <li>
                    <p>Uso de RegEx en el texto de muestra.</p>
                </li>
            </ol>
            <h2 id="sesion-3-esto-es-pecas-herramientas-editoriales-libres">Sesión 3: ¡Esto es Pecas! > Herramientas editoriales libres</h2>
            <p>Gracias a estas herramientas hacer un <span class="smallcap">EPUB</span> nunca había sido tan fácil como lo es ahora. En un entorno de código y según el método ramificado de edición es como surgieron estas increíbles herramientas editoriales. Una serie de <i>scripts</i> automatizados pueden llegar a hacer la diferencia si se utilizan de manera correcta.</p>
            <p>En este primer acercamiento nos interesa trabajar algunos párametros básicos que son parte de nuestro proyecto editorial. Así podremos formar nuestro primer <span class="smallcap">EPUB</span>.</p>
            <h3 id="temas_3">Temas</h3>
            <ol>
                <li>
                    <p>¿Qué es Pecas?</p>
                </li>
                <li>
                    <p>Revisión de párametros (repaso sencillo).</p>
                </li>
                <li>
                    <p>¿Qué es el archivo <span class="smallcap">YAML</span> y cómo es su sintaxis?</p>
                </li>
                <li>
                    <p>Uso de bash.</p>
                </li>
            </ol>
            <h2 id="sesion-4-de-la-planicie-y-los-tornados-al-bosque-y-las-ramas">Sesión 4: De la planicie y los tornados al bosque y las ramas</h2>
            <p>¿Tiene que haber una mejor manera, cierto? El formateo de texto es el cuello de botella de la edición. No hay mejor manera de visualizarlo que haber sufrido en la limpieza del texto. Esto abre la puerta para teorizar en dos orientaciones metodológicas para producción estandarizada de publicaciones: la edición cíclica y la edición ramificada.</p>
            <p>En esta sesión se teorizará sobre las ventajas y límites de cada orientación metodológica para la edición.</p>
            <h3 id="temas_4">Temas</h3>
            <ol>
                <li>
                    <p>Bases generales de la edición digital.</p>
                </li>
                <li>
                    <p>Tipos de edición digital.</p>
                </li>
                <li>
                    <p>Tipos de edición estandarizada.</p>
                </li>
                <li>
                    <p>Edición tradicional.</p>
                </li>
                <li>
                    <p>Edición cíclica.</p>
                </li>
                <li>
                    <p>Edición ramificada.</p>
                </li>
                <li>
                    <p>Ejemplos de edición ramificada.</p>
                </li>
            </ol>
            <h2 id="sesion-5-bienvenidos-al-mundo-de-markdown">Sesión 5: Bienvenidos al mundo de Markdown</h2>
            <p>Olvidémonos de las etiquetas <span class="smallcap">HTML</span> y conozcamos Markdown, un lenguaje de marcado ligero que nos facilita la escritura en texto plano. Esta herramienta aparte de tener una sintaxis sencilla, nos brinda control en la estructura y facilita la atribución de los estilos. Ya no es necesario pasar del Word al código; con este lenguaje ¡lo tenemos todo!</p>
            <p>En esta sesión aprenderemos a crear nuestro propio árbol de directorios, conoceremos su eficacia y el por qué son tan importantes. Veremos con esto la creación de nuestro primer documento <code>.md</code> y la sintaxis que requiere.</p>
            <h3 id="temas_5">Temas</h3>
            <ol>
                <li>
                    <p>¿Qué es un árbol de directorios?</p>
                </li>
                <li>
                    <p>Moviéndonos entre carpetas.</p>
                </li>
                <li>
                    <p>Rutas relativas.</p>
                </li>
                <li>
                    <p>¿Cuáles son los enfoques <span class="smallcap">WYSIWYG</span> y <span class="smallcap">WYSIWYM</span>?</p>
                </li>
                <li>
                    <p>Introducción a Markdown.</p>
                </li>
                <li>
                    <p>Sintaxis de Markdown.</p>
                </li>
            </ol>
            <h2 id="sesion-6-nuestro-primer-proyecto-con-markdown">Sesión 6: Nuestro primer proyecto con Markdown</h2>
            <p>Ya vimos que Markdown es un diamante en bruto, ahora solo nos falta ponerlo a prueba y construir nuestro propio contenido con sintaxis de Markdown.</p>
            <p>En esta etapa de seguimiento haremos nuestra primera publicación con Markdown, navegaremos entre carpetas y conoceremos el árbol de directorios a través de las rutas relativas.</p>
            <h3 id="temas_6">Temas</h3>
            <ol>
                <li>
                    <p>¿Cómo trabajar con Markdown desde editores de texto?</p>
                </li>
                <li>
                    <p>Uso del formato <span class="smallcap">MD</span>.</p>
                </li>
                <li>
                    <p>Uso de clases e identificadores con Markdown.</p>
                </li>
                <li>
                    <p>Uso de clases por defecto de Pecas Markdown.</p>
                </li>
            </ol>
            <h2 id="sesion-7-otra-vez-pecas">Sesión 7: ¿Otra vez Pecas?</h2>
            <p>Es cierto que ya vimos estas herramientas editoriales, pero, ¿qué tan claro ha quedado su funcionamiento? Es importante conocer cuáles son los parámetros obligatorios u opcionales para su buen desempeño. Con esto veremos cada una de las funcionalidades y lo que podemos hacer con ellas.</p>
            <p>En este apartado conoceremos a fondo cómo utilizar Pecas y cómo podemos combinar los parámetros según las necesidades de cada proyecto editorial.</p>
            <h3 id="temas_7">Temas</h3>
            <ol>
                <li>
                    <p>Comandos de bash.</p>
                </li>
                <li>
                    <p>Herramientas para trabajar con nuestros archivos madre: <code>pc-add</code>, <code>pc-analytics</code>, <code>pc-images</code> y <code>pc-pandog</code>.</p>
                </li>
                <li>
                    <p>Herramientas para <span class="smallcap">EPUB</span>: <code>pc-automata</code>, <code>pc-creator</code>, <code>pc-divider</code>, <code>pc-notes</code>, <code>pc-cites</code>, <code>pc-index</code>, <code>pc-recreator</code> y <code>pc-changer</code>.</p>
                </li>
                <li>
                    <p>Verificación de <span class="smallcap">EPUB</span>: <code>epubcheck</code> 3 y 4.</p>
                </li>
                <li>
                    <p>Estado de Pecas y sus dependencias: <code>pc-doctor</code>.</p>
                </li>
            </ol>
            <h2 id="sesion-8-mi-primer-epub">Sesión 8: Mi primer <span class="smallcap">EPUB</span></h2>
            <p>Un <span class="smallcap">EPUB</span> es una serie de archivos <span class="smallcap">XHTML</span> que son comprimidos en un archivo <span class="smallcap">ZIP</span> para su portabilidad y su fácil lectura. Nosotros ya nos enfocamos en hacer nuestro contenido y lo que conlleva crear una publicación. Solo nos falta conocer el proceso para generar nuestro <span class="smallcap">EPUB</span> en versiones 3.0.1, 3.0.0 y el <span class="smallcap">MOBI</span> para Kindle.</p>
            <p>En esta sesión veremos cómo comprimir un <span class="smallcap">EPUB</span> desde la terminal utilizando Pecas.</p>
            <h3 id="temas_8">Temas</h3>
            <ol>
                <li>
                    <p>¿Cómo comprimir un <span class="smallcap">EPUB</span>?</p>
                </li>
                <li>
                    <p>¿Qué parámetros vamos a emplear para nuestra publicación?</p>
                </li>
                <li>
                    <p>¿De qué nos sirve la analítica?</p>
                </li>
                <li>
                    <p>Verificación de <span class="smallcap">EPUB</span> con EpubCheck 3 y 4.</p>
                </li>
            </ol>
            <h2 id="sesion-9-viaje-a-la-exosfera">Sesión 9: Viaje a la exósfera</h2>
            <p>En el desarrollo de un proyecto tenemos necesidad de respaldar la información. Cuando concluimos también precisamos archivarlo. ¿Cuántas veces se ha vuelto un dolor de cabeza el uso de discos duros o de nubes? ¿Cuántas veces no nos hemos confundido y hemos trabajado doble o, peor aún, se ha perdido información?</p>
            <p>En este sesión trataremos otro método para poder tener un control sobre nuestro proyecto, en el que los discos duros y las nubes se vuelven innecesarios.</p>
            <h3 id="temas_9">Temas</h3>
            <ol>
                <li>
                    <p>¿Qué es <code>git</code>? ¿Qué es un proyecto como repositorio remoto?</p>
                </li>
                <li>
                    <p>Creación de cuentas para el manejo de repositorios remotos.</p>
                </li>
                <li>
                    <p>Creación de llaves de acceso.</p>
                </li>
                <li>
                    <p>Creación de equipos de trabajo.</p>
                </li>
                <li>
                    <p>Creación de repositorios.</p>
                </li>
                <li>
                    <p>Clonación local de repositorios.</p>
                </li>
                <li>
                    <p>Dinámica de <code>pull</code> y <code>push</code>.</p>
                </li>
                <li>
                    <p>Visualización de estados e historial de repositorios.</p>
                </li>
            </ol>
            <h2 id="sesion-10-regreso-a-la-tierra">Sesión 10: Regreso a la tierra</h2>
            <p>¿Quieres un impreso? La edición ramificada vista aquí no necesariamente implica una apertura en los ecosistemas editoriales. Es posible regresar a ecosistemas cerrados para crear un <span class="smallcap">PDF</span> para impresión, aunque también desde hace más de treinta años existe otra vía…</p>
            <h3 id="temas_10">Temas</h3>
            <ol>
                <li>
                    <p>Conversión de <span class="smallcap">MD</span> a <span class="smallcap">XML</span>.</p>
                </li>
                <li>
                    <p>Importación de <span class="smallcap">XML</span> a InDesign.</p>
                </li>
                <li>
                    <p>Asociación de etiquetas <span class="smallcap">XML</span> con estilos de párrafo o de caracteres.</p>
                </li>
                <li>
                    <p>¿Qué es TeX? ¿Qué es LaTeX?</p>
                </li>
                <li>
                    <p>Conversión de <span class="smallcap">MD</span> a TeX.</p>
                </li>
                <li>
                    <p>Aplicación de plantillas de LaTeX.</p>
                </li>
                <li>
                    <p>Creación de <span class="smallcap">PDF</span> con LaTeX.</p>
                </li>
            </ol>
        </section>
    </body>
</html>
